Problem with Moonshell 2, and GBA roms.

Discussion in 'NDS - ROM Hacking and Translations' started by Kafke, Sep 28, 2009.

Sep 28, 2009
  1. Kafke
    OP

    Member Kafke GBAtemp Fan

    Joined:
    Jan 2, 2009
    Messages:
    415
    Country:
    United States
    So, I switched to using Moonshell 2 today, only to find out it doesn't support GBA Roms or Cheats.

    So... After researching, I figured that I needed Gba Exploader. I load it up with Moonshell (the correct directory for extensions moonshl2\extlink) and I click my rom, and it doesn't load [​IMG] It gives me the error:

    Slot2 expansion pack not found
    Please redo from start.
    (A):Confirm

    I hit A and it shuts down the ds.


    I have a supercard lite (yes it sucks). You have to patch the roms to run it off slot2, which is why I liked ysmenu, you didn't have to patch. How do I make my supercard work with gba exploader? and is there an extension to moonshell to enable cheats?
     
  2. CrashmanX

    Member CrashmanX Current project: SD Gundam G Generation Overworld

    Joined:
    Aug 1, 2008
    Messages:
    1,202
    Location:
    @CrashmanX
    Country:
    United States
    Its saying you need to have a Slot2 Device, an Ezflash 3in1 or something similar that you can load GBA roms onto. Otherwise your outta luck.
     
  3. Kafke
    OP

    Member Kafke GBAtemp Fan

    Joined:
    Jan 2, 2009
    Messages:
    415
    Country:
    United States
    >.> I have supercard lite. I have been able to play gba roms this whole time. Right now I autoboot into Moonshell2 which is causing problems. I can start slot 2 to play (but it needs convert) or I can boot YSmenu to play (no convert needed, and has gba roms on slot1). But I can't boot them from moonshell (which is the problem). I assumed gba exploader for moonshell is what I needed, but it is giving errors.

    Basically what I need is something like Ysmenu's gba loader, except for moonshell.


    Edit: Another tidbit of info, Opera wasn't picking up my supercard lite until I patched it, do i need to do the same thing to gba exploader? Is there a patch for it?
     
  4. twiztidsinz

    Member twiztidsinz Taiju Yamada Fan

    Joined:
    Dec 23, 2008
    Messages:
    4,981
    Country:
    United States
    I'm pretty sure Moonshell2 won't load commercial NDS ROMs, could it also not load commercial GBA ROMs?

    There is a 'trick' to get Moonshell to load commercial ROMs by replacing some of the files with YSMenu files -- basically every time you load a NDS game, it will launch YSMenu which will autolaunch the game. You can find a pretty detailed guide on GBAtemp, just search for Moonshell and Commercial.
     
  5. Kafke
    OP

    Member Kafke GBAtemp Fan

    Joined:
    Jan 2, 2009
    Messages:
    415
    Country:
    United States
    ^ That's the reason I switched to it. However, There is No Cheats or GBA Support like in YSmenu. There is an extension called gba exploader that allows you to run gba games off moonshell, but it is not working for Supercard Lite [​IMG]
     
  6. benjaminlibl

    Member benjaminlibl Funky Member

    Joined:
    Jul 15, 2009
    Messages:
    789
    Location:
    Singapore
    Country:
    Singapore
    I'm not sure if this will help, but which version are you using? Because I had the exact same problem with my DSTT, and it was because I didn't update to the newest version. If I'm not wrong, it's supposed to be 0.58 or something.
     
  7. Kafke
    OP

    Member Kafke GBAtemp Fan

    Joined:
    Jan 2, 2009
    Messages:
    415
    Country:
    United States
    I'm not using DSTT.
    I'm using R4+YSMenu+Supercard Lite
    idk what version of exploader I'm using. I'll try getting the lastest version. It's not that important as I can just load up Ysmenu when I want to play gba.
     
  8. benjaminlibl

    Member benjaminlibl Funky Member

    Joined:
    Jul 15, 2009
    Messages:
    789
    Location:
    Singapore
    Country:
    Singapore
    I realize that, but just try it.
     
  9. Kafke
    OP

    Member Kafke GBAtemp Fan

    Joined:
    Jan 2, 2009
    Messages:
    415
    Country:
    United States
    >.> I figured out what was wrong. Apparently the developer blocked M3 Cards. And Since M3==R4 It didn't work. So I got 1.58b+m3patch and it somewhat worked. I got the app loaded, but the rom itself wont load [​IMG] I'd rather just startup YSmenu, it's faster and easier. Thanks for the help though [​IMG]
     

Share This Page